package com.tzld.piaoquan.recommend.server.implement.recall;


import com.tzld.piaoquan.recommend.server.framework.candidiate.Candidate;
import com.tzld.piaoquan.recommend.server.framework.common.User;
import com.tzld.piaoquan.recommend.server.framework.recaller.AbstractFilter;
import com.tzld.piaoquan.recommend.server.framework.recaller.FilterConfigInfo;
import com.tzld.piaoquan.recommend.server.gen.recommend.RecommendRequest;
import com.tzld.piaoquan.recommend.server.model.Video;
import com.tzld.piaoquan.recommend.server.repository.WxVideoStatusRepository;
import com.tzld.piaoquan.recommend.server.service.PreViewedService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.data.redis.core.RedisTemplate;

import java.util.List;

public class RecommendStatusFilter extends AbstractFilter<Video> {

    @Autowired
    @Qualifier("redisTemplate")
    private RedisTemplate<String, String> redisTemplate;

    @Autowired
    private WxVideoStatusRepository wxVideoStatusRepository;

    private String keyFormat = "video:recommend:status:%s";

    private static final int RECOMMEND_STATUS = -6;


    @Autowired
    private PreViewedService preViewedService;

    public RecommendStatusFilter(FilterConfigInfo filterConfigInfo,
                                 RecommendRequest recommendRequest,
                                 User user) {
        super(filterConfigInfo, recommendRequest, user);

    }

    @Override
    public void doFilter(Candidate candidate, List<Video> t) {
        if (CollectionUtils.isEmpty(t)) {
            return;
        }
    }




}




